=== debian/changelog ===
ros-eloquent-nav2-amcl (0.3.5-1bionic) bionic; urgency=high

  * Autogenerated, no changelog for this version found in CHANGELOG.rst.

 -- Mohammad Haghighipanah <mohammad.haghighipanah@intel.com>  Mon, 29 Jun 2020 22:48:34 -0000
