=== debian/control ===
Source: ros-eloquent-nav2-amcl
Section: misc
Priority: optional
Maintainer: Mohammad Haghighipanah <mohammad.haghighipanah@intel.com>
Build-Depends: debhelper (>= 9.0.0), ros-eloquent-ament-cmake, ros-eloquent-ament-lint-auto, ros-eloquent-ament-lint-common, ros-eloquent-geometry-msgs, ros-eloquent-launch-ros, ros-eloquent-launch-testing, ros-eloquent-message-filters, ros-eloquent-nav-msgs, ros-eloquent-nav2-common, ros-eloquent-nav2-util, ros-eloquent-rclcpp, ros-eloquent-sensor-msgs, ros-eloquent-std-srvs, ros-eloquent-tf2, ros-eloquent-tf2-geometry-msgs, ros-eloquent-tf2-ros, ros-eloquent-ros-workspace
Homepage: 
Standards-Version: 3.9.2

Package: ros-eloquent-nav2-amcl
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-eloquent-geometry-msgs, ros-eloquent-launch-ros, ros-eloquent-launch-testing, ros-eloquent-message-filters, ros-eloquent-nav-msgs, ros-eloquent-nav2-util, ros-eloquent-rclcpp, ros-eloquent-sensor-msgs, ros-eloquent-std-srvs, ros-eloquent-tf2, ros-eloquent-tf2-geometry-msgs, ros-eloquent-tf2-ros, ros-eloquent-ros-workspace
Description: amcl is a probabilistic localization system for a robot moving in 2D.
 It implements the adaptive (or KLD-sampling) Monte Carlo localization approach (as described by Dieter Fox), which uses a particle filter to track the pose of a robot against a known map. This node is derived, with thanks, from Andrew Howard's excellent 'amcl' Player driver.
